﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication10
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.ActiveRecord = xamDataGrid1.Records[0];

            xamDataGrid1.ExecutingCommand += new EventHandler<Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs>(xamDataGrid1_ExecutingCommand);
        }

        void xamDataGrid1_ExecutingCommand(object sender, Infragistics.Windows.Controls.Events.ExecutingCommandEventArgs e)
        {
            if (e.Command == DataPresenterCommands.RecordNext && xamDataGrid1.ActiveRecord == xamDataGrid1.Records[xamDataGrid1.Records.Count - 1])
            {
                e.Cancel = true;
                xamDataGrid1.ExecuteCommand(DataPresenterCommands.RecordFirstOverall);
            }

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.ExecuteCommand(DataPresenterCommands.RecordNext);
        }
    }
}
